using System;
using System.Windows;
using Microsoft.Phone.Controls;
using System.Net;

namespace Controls.Pages
{
    public partial class WebBrowserPage : PhoneApplicationPage
    {
        //private WebBrowser myWebBrowser;

        public WebBrowserPage()
        {
            InitializeComponent();

            // WebBrowser Steuerelement mit Bing Adresse initialisieren
            //myWebBrowser = new WebBrowser();
            //myWebBrowser.Margin = new Thickness(12, 6, 0, 0);
            //myWebBrowser.Height = 424;
            //myWebBrowser.Width = 438;
            //myWebBrowser.IsScriptEnabled = true;
            //myWebBrowser.Source = new Uri("http://www.bing.de");
            
            //ContentPanel.Children.Add(myWebBrowser);
        }

        // Ereignismethode für den Microsoft Webseite navigieren Menueeintrag
        private void mni_Microsoft_Click(object sender, EventArgs e)
        {
            // zur Microsoft Webseite navigieren
            myWebBrowser.Navigate(new Uri("http://www.microsoft.de"));
        }

        // Ereignismethode für den HTML5 Menueeintrag
        private void mni_HTML5_Click(object sender, EventArgs e)
        {
            // Um HTML5 darzustellen muss IsScriptEnabled = true; gesetzt sein
            myWebBrowser.Navigate(new Uri("http://ie.microsoft.com/testdrive/Performance/ParticleAcceleration/"));
        }

        // Ereignismethode für den Cookie Menueeintrag
        private void mni_Cookies_Click(object sender, EventArgs e)
        {
            try
            {
                // Cookies holen
                CookieCollection myCookies = WebBrowserExtensions.GetCookies(myWebBrowser);

                // jedes Cookie durchgehen
                foreach (Cookie cookie in myCookies)
                {                    
                    MessageBox.Show("Name: " + cookie.Name + "\r\nValue: " + cookie.Value + "\r\nExpired: " + cookie.Expired.ToString() + "\r\nDomain: " + cookie.Domain + "\r\nSecure: " + cookie.Secure.ToString());    
                }
            }
            // Wenn keine Cookies vorhanden sind, wird eine CookieException erzeugt
            catch (CookieException ex)
            {
                MessageBox.Show("Es ist ein Fehler beim Zugriff auf die Cookies aufgetreten: " + ex.Message, "Fehler", MessageBoxButton.OK);
            }            
        }
    }
}